%define kmod_name		lin_tape
%define kmod_driver_version	1.76.0
%define kmod_rpm_release	1
%define kmod_kernel_version	2.6.18-308.20.1.el5

# with koji ... we have to build against current (newest) kernel ...

%{!?dist: %define dist .slc5}

Source0: %{kmod_name}-%{kmod_driver_version}.tgz
Source1: kmodtool2-%{kmod_name}
#Source3: find-requires.ksyms

%define kmodtool bash %{SOURCE1}
#define __find_requires %_sourcedir/find-requires.ksyms

%define kverrel %(%{kmodtool} verrel %kmod_kernel_version 2>/dev/null)

%ifarch i686 x86_64 ia64
%define xenvar xen
%endif

%ifarch i686
%define paevar PAE
%endif

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar} %{?xenvar} %{?paevar}}

Name: %{kmod_name}
Version: %{kmod_driver_version}
Release: %{kmod_rpm_release}%{?dist}
Summary: %{kmod_name} kernel module
Group: System Environment/Kernel
License: GPL
Packager: Jaroslaw.Polok@cern.ch
Vendor: CERN, http://cern.ch/linux
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Conflicts: IBMtape
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveArch:  i686 x86_64
URL: ftp://ftp.software.ibm.com/storage/devdrvr/Linux/archive/lin_tape_source-lin_taped/


%description
The IBM Tape Device Driver, lin_tape, product is a device driver
that provides attachment for the IBM TotalStorage and System
Storage tape devices to Linux compatible platforms.


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 15
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
    done

%build
echo  %{kverrel}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant

    # update symvers file if existing
    symvers=Module.symvers${kvariant:+-$kvariant}-%{_target_cpu}
    if [ -e $symvers ]; then
        cp $symvers Module.symvers
    fi

    make -C "${ksrc}" modules M=$PWD
    popd
done

if [ -d firmware ]; then
	make -C firmware
fi

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd

   # create depmod configuration
   mkdir -p ${RPM_BUILD_ROOT}/etc/depmod.d
   echo "override %{kmod_name} * weak-updates/%{kmod_name}" > ${RPM_BUILD_ROOT}/etc/depmod.d/%{kmod_name}${kvariant}.conf
done

mkdir -p ${RPM_BUILD_ROOT}/lib/firmware

if [ -d firmware ]; then
	make -C firmware INSTALL_PATH=$RPM_BUILD_ROOT INSTALL_DIR=updates install
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 23 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.76.0-1
- update

* Mon Jul 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.73.0-1
- update

* Mon Mar 19 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.67.1-7
- addded lin_tape provide to kmod-lin_tape (via kmodtool2-lin_tape)

* Fri Mar 16 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- changed packaging for SLC5, following RHEL5 kmod packaging.

* Thu Mar 15 2012 Matthias Schroder <Matthias.Schroder@cern.ch> 1.67.1
- use lin_tape-1.67.1.tgz from IBM's weird source rpm
- sorry, but they don't provide any real changelog

* Tue Mar 16 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.34.0
- removed udev rules

* Fri Mar 12 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.34.0
- updated to 1.34.0

* Thu Jun 25 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- added udev rules

* Fri Jun 05 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- Initial build


